<template>
    <select class="form-control select2-multiple" data-toggle="select2" multiple="multiple" name="categories[]">
        <option value="0">Выбрать</option>
        <option :value="item.id" v-for="item in categoryList">{{item.name}}</option>
    </select>
</template>

<script>
    export default {
        name: "CategoryList",
        props: {
            deep: {
                type: Number,
                default: 3,
            },
            parent_id: {
                type: Number,
                default: 0
            }
        },
        data(){
            return {
                categoryList: []
            }
        },
        created() {
          this.$axios.get('/category/list?deep='+this.deep+'&parent_id='+this.parent_id)
                .then(resp => {
                    this.categoryList = resp.data;
                })
                .catch(Error => function(){
                    console.log(Error)
                });
        }
    }
</script>

<style scoped>

</style>
